Page MenuHome

Blender 2.8 crashes when attempting to render. EEVEE
Closed, ResolvedPublic

Description

Windows 10
Intel I5, Nvidia 750TI
8GB Ram
Latest Nvidia Graphics Driver

Blender Version
Blender 2.8 Alpha
11/16/2018 release

Short description of error
Crashing

Exact steps for others to reproduce the error
Blender simply crashes within few seconds after i attempt to render the scene in eevee

Event Timeline

sandeep (sandy1984) renamed this task from Blender 2.8 crashes when attempting to render. to Blender 2.8 crashes when attempting to render. EEVEE.Nov 17 2018, 2:36 PM
sandeep (sandy1984) updated the task description. (Show Details)

No crash here.
But I do get a couple of freestyle related errors/warnings

Error executing Python script from PythonInterpreter::interpretString
Name: LegoSolidWhiteLines
Errors: 
Error: Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/bin/2.80/scripts/freestyle/modules/parameter_editor.py", line 1292, in process
    Operators.select(upred)
  File "/bin/2.80/scripts/freestyle/modules/freestyle/predicates.py", line 245, in __call__
    return all(pred(inter) for pred in self.predicates)
  File "/bin/2.80/scripts/freestyle/modules/freestyle/predicates.py", line 245, in <genexpr>
    return all(pred(inter) for pred in self.predicates)
  File "/bin/2.80/scripts/freestyle/modules/parameter_editor.py", line 935, in __call__
    found = self.getViewShapeName(viewEdge.viewshape) in self.names
  File "/bin/2.80/scripts/freestyle/modules/parameter_editor.py", line 932, in getViewShapeName
    return vs.name
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xbb in position 0: invalid start byte

location: <unknown location>:-1

Error: interpretation failed
add freestyle
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: edge 257 - 285 appears twice, correcting
Warning: edge 285 - 286 appears twice, correcting
Warning: edge 286 - 287 appears twice, correcting
Warning: edge 287 - 157 appears twice, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: edge 256 - 284 appears twice, correcting
Warning: edge 284 - 285 appears twice, correcting
Warning: edge 285 - 286 appears twice, correcting
Warning: edge 286 - 157 appears twice, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: edge 237 - 422 appears twice, correcting
Warning: edge 422 - 424 appears twice, correcting
Warning: edge 424 - 261 appears twice, correcting
Warning: edge 261 - 136 appears twice, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: degenerated triangle detected, correcting
Warning: edge 236 - 421 appears twice, correcting
Warning: edge 421 - 423 appears twice, correcting
Warning: edge 423 - 260 appears twice, correcting
Warning: edge 260 - 136 appears twice, correctin

Just to narrow it down a bit:
@sandeep (sandy1984): do you get crashes without freestyle as well?

Philipp Oeser (lichtwerk) triaged this task as Needs Information from User priority.Nov 19 2018, 12:53 PM

Will (temporarily) mark this as incomplete until we have an answer to narrow it down...

Yes now it renders fine without freestyle enabled.

Bastien Montagne (mont29) raised the priority of this task from Needs Information from User to Normal.Dec 3 2018, 4:38 PM
Bastien Montagne (mont29) updated the task description. (Show Details)

I have same problems i.e. Blender simply crashes within few seconds after i attempt to render the scene in eevee also on clicking on Render icon.
I m using Blender 2.8 Beta , release date 22.12.2018 in my Laptop Window 7 professional, 4 GB RAM.

Brecht Van Lommel (brecht) raised the priority of this task from Normal to Confirmed, Medium.Jan 4 2019, 5:40 PM
Brecht Van Lommel (brecht) claimed this task.

@Brecht Van Lommel (brecht) For the records, I still run into a crash with this file (and any other eevee file actually).

For this particular file I get:
SUMMARY: AddressSanitizer: heap-use-after-free /home/dfelinto/src/blender/blender/source/blender/gpu/intern/gpu_texture.c:1351 in GPU_texture_bound_number
Full backtrace: P882

It only happens with my debug build, so I believe it is related to one of my building options. I'm running some tests with build options here.

For factory startup + enabling freestyle for eevee and F12 I get:
SUMMARY: AddressSanitizer: heap-use-after-free /home/dfelinto/src/blender/blender/source/blender/blenkernel/intern/layer.c:703 in layer_collection_sync
Full backtrace: P883

@Brecht Van Lommel (brecht) did you try with an asan build? It seems that by simply turning on ASAN I'm getting the issues mentioned above. It can be an ASAN false positive too, of course.

I ran into a read access violation around the same area @Dalai Felinto (dfelinto) observed, although seemingly with different reproduce steps. This occurred under a Debug Win x64 build when texture painting, and appears to trigger if I paint then perform an undo:

Exception thrown: read access violation.
**tex** was 0x1BC43218F48.

Stack trace:

>	blender.exe!GPU_texture_bound_number(GPUTexture * tex) Line 1351	C
 	blender.exe!bind_texture(GPUTexture * tex, unsigned char bind_type) Line 897	C
 	blender.exe!draw_shgroup(DRWShadingGroup * shgroup, DRWState pass_state) Line 1097	C
 	blender.exe!drw_draw_pass_ex(DRWPass * pass, DRWShadingGroup * start_group, DRWShadingGroup * end_group) Line 1320	C
 	blender.exe!DRW_draw_pass(DRWPass * pass) Line 1352	C
 	blender.exe!workbench_deferred_draw_scene(WORKBENCH_Data * vedata) Line 999	C
 	blender.exe!workbench_solid_draw_background(void * vedata) Line 69	C
 	blender.exe!drw_engines_draw_background() Line 1063	C
 	blender.exe!DRW_draw_render_loop_ex(Depsgraph * depsgraph, RenderEngineType * engine_type, ARegion * ar, View3D * v3d, GPUViewport * viewport, const bContext * evil_C) Line 1519	C
 	blender.exe!DRW_draw_view(const bContext * C) Line 1420	C
 	blender.exe!view3d_draw_view(const bContext * C, ARegion * ar) Line 1343	C
 	blender.exe!view3d_main_region_draw(const bContext * C, ARegion * ar) Line 1365	C
 	blender.exe!ED_region_do_draw(bContext * C, ARegion * ar) Line 518	C
 	blender.exe!wm_draw_window_offscreen(bContext * C, wmWindow * win, bool stereo) Line 581	C
 	blender.exe!wm_draw_window(bContext * C, wmWindow * win) Line 715	C
 	blender.exe!wm_draw_update(bContext * C) Line 868	C
 	blender.exe!WM_main(bContext * C) Line 434	C
 	blender.exe!main(int argc, const unsigned char * * UNUSED_argv_c) Line 525	C
 	~snip~

This was with Application Verifier enabled (although I don't think it helped in this case). NVidia GTX 960M (driver version 25.21.14.1681).

@sandeep (sandy1984) I just committed a fix for freestyle rendering. Could you please check if you still have the original issue reported here?

@sandeep (sandy1984) I just committed a fix for freestyle rendering. Could you please check if you still have the original issue reported here?

It Renders fine now. Thanks alot

Dalai Felinto (dfelinto) closed this task as Resolved.Jan 26 2019, 1:06 PM